com.aliyun.svideosdk

## Enum AlivcSdkCore.AlivcDebugLoggerLevel

- java.lang.Object
- - java.lang.Enum<AlivcSdkCore.AlivcDebugLoggerLevel>
  - - com.aliyun.svideosdk.AlivcSdkCore.AlivcDebugLoggerLevel

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AlivcSdkCore.AlivcDebugLoggerLevel>
  Enclosing class:
    AlivcSdkCore

      public static enum AlivcSdkCore.AlivcDebugLoggerLevel
      extends java.lang.Enum<AlivcSdkCore.AlivcDebugLoggerLevel>

  SDK 日志上报等级

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AlivcDLAll` 上报所有日志
    `AlivcDLClose` 关闭debugLogger上报
    `AlivcDLNormal` 上报w，e等级的日志

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static AlivcSdkCore.AlivcDebugLoggerLevel` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AlivcSdkCore.AlivcDebugLoggerLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AlivcDLClose

          public static final AlivcSdkCore.AlivcDebugLoggerLevel AlivcDLClose

      关闭debugLogger上报

    - #### AlivcDLNormal

          public static final AlivcSdkCore.AlivcDebugLoggerLevel AlivcDLNormal

      上报w，e等级的日志

    - #### AlivcDLAll

          public static final AlivcSdkCore.AlivcDebugLoggerLevel AlivcDLAll

      上报所有日志

  - ### Method Detail

    - #### values

          public static AlivcSdkCore.AlivcDebugLoggerLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AlivcSdkCore.AlivcDebugLoggerLevel c : AlivcSdkCore.AlivcDebugLoggerLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AlivcSdkCore.AlivcDebugLoggerLevel valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()